<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>    
        <record id="template_jabatan_tree_view" model="ir.ui.view">
            <field name="name">template.jabatan.tree</field>
            <field name="model">template.jabatan</field>
            <field eval="1" name="priority"/>
            
            <field name="arch" type="xml">
                <tree string="Template Jabatan" >
                    <field name="company_id"/>
                    <field name="code"   />
                    <field name="name"   />
                    <field name="department_id"  />
                    <field name="eselon_id"   />
                    <field name="level"   />
                </tree>
            </field>
        </record>

        <record id="template_jabatan_form_view" model="ir.ui.view">
            <field name="name">template.jabatan.form</field>
            <field name="model">template.jabatan</field>
            <field eval="0" name="priority" />
            <field name="arch" type="xml">
                <form string="Template Jabatan" version="7.0">
                    <header>
                        <span name="for_inherit_header_object"></span>
                    </header>
                    <sheet>
                        <div class="oe_title">
                            
                            <label for="name" class="oe_edit_only" />
                            <h1>
                                    <field name="name" default_focus="1" placeholder="Nama Jabatan"  />
                            </h1>
                            
                            <label for="code" class="oe_edit_only"/>
                            <h2>
                                <field name="code" placeholder="Kode Jabatan"  />
                            </h2>
                          
                        </div>
                        <group id="group_1">
                             <field name="company_id" on_change="onchange_company_id(company_id)"   options="{'no_create': True,'no_open': True}" />
                             <field name="department_id" domain="[('company_id', '=',company_id)]" options="{'no_create': True,'no_open': True}" />
                             <field name="job_type"/>
                             <field name="eselon_id" attrs="{'required': [('job_type','=','struktural')]}" widget="selection"  />
                             <field name="tingkat_jabatan_id"  attrs="{'invisible': [('job_type','!=','jft')]}"  widget="selection"/>
                             <field name="jenjang_jabatan_id"   domain="[('tingkat_jabatan_id','=',tingkat_jabatan_id)]"  widget="selection" attrs="{'invisible':[('job_type','!=','jft')]}" />
                             <field name="level"/>
                        </group>
                        <group id="group_indikator_uraian">
                                <field name="ikhtisar"/>
                                <field name="uraian_tugas_opd_ids" context="{'default_template_id': active_id,}">
                                            <tree editable="bottom" >
                                                <field name="template_id" invisible="True" />
                                                <field name="name"   />
                                            </tree>
                                </field>
                                <field name="indikator_kinerja_opd_ids" context="{'default_template_id': active_id,}">
                                            <tree editable="bottom" >
                                                <field name="template_id" invisible="True" />
                                                <field name="name"   />
                                            </tree>
                                </field>
                                <field name="indikator_kinerja_jabatan_ids" context="{'default_template_id': active_id,}">
                                            <tree editable="bottom" >
                                                <field name="template_id" invisible="True" />
                                                <field name="name"   />
                                                <field name="long_name" invisible="True"   />
                                            </tree>
                                </field>

                        </group>
                        <notebook id="nb_1">
                            <page name="page_uraian_tugas" string="Uraian Tugas">
                                <group>
                                        <field name="uraian_tugas_ids" context="{'default_template_id': active_id,}">
                                            <tree editable="bottom" >
                                                <field name="template_id" invisible="True" />
                                                <field name="name"   />
                                            </tree>
                                        </field>
                                        
                                </group>
                            </page>
                             
                            <page name="page_kualifikasi_jabatan" string="Kualifikasi Jabatan" invisible="True">
                                <group>
                                    <group>
                                        <field name="golongan_id"   />
                                        <field name="jenjang_pendidikan_id"   />
                                        <!-- <field name="jenis_kelamin"   />
                                        <field name="umur"   />
                                        <field name="tinggi_badan"   />
                                        <field name="berat_badan"   />
                                        <field name="penampilan" widget="many2many_tags"   />
                                         <field name="upaya_fisik" widget="many2many_tags"   /> -->
                                    </group>
                                   <!--  <group>
                                      
                                       <field name="pengetahuan_kerja" widget="many2many_tags"   />
                                       <field name="keterampilan_kerja" widget="many2many_tags"   />
                                       <field name="minat_kerja" widget="many2many_tags"   />
                                      
                                   </group> -->
                                </group>
                              <!--   <group>
                                  <group string="Diklat">
                                      <field name="diklat_perjenjangan" widget="many2many_tags"    />
                                      <field name="diklat_teknis" widget="many2many_tags"   />
                                  </group>
                                   <group string="Bakat Kerja">
                                      <field name="bakat_kerja" widget="many2many_tags"   />
                                  </group>
                              </group> -->
                                <!-- <group>
                                        <group string="Tempramen Kerja">
                                             <field name="tempramen_kerja" widget="many2many_tags"    />
                                           
                                        </group>
                                </group>
                                <group>
                                        <group string="Pengalaman Kerja">
                                             <field context="{'default_template_id': active_id," name="pengalaman_kerja">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="template_id"/>
                                                    <field name="pengalaman_id"/>
                                                    <field name="waktu"/>
                                                </tree>
                                             </field>
                                        </group>
                                </group> -->
                            </page>
                        </notebook>
                        
                    </sheet>
                </form>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_template_jabatan_pegawai">
            <field name="name">Template Jabatan</field>
            <field name="res_model">template.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Data Kosong
              </p>
            </field>
        </record>
        <menuitem id="menu_sub_konfigurasi_template_jabatan" name="Konfigurasi Template Jabatan"  
            parent="df_partner_employee.menu_data_kepegawaian" sequence="21" groups="df_analisa_jabatan.group_anjab_admin" />

        <menuitem id="menu_template_jabatan" name="Template Jabatan"  action="action_template_jabatan_pegawai"
            parent="menu_sub_konfigurasi_template_jabatan" sequence="1"  groups="df_analisa_jabatan.group_anjab_admin" />

        <menuitem id="menu_main_analisa_jabatan" name="Analisa Jabatan"  
            sequence="7" groups="df_analisa_jabatan.group_anjab_admin" />
        
        <!--  more attr  -->


        
        <!-- a menu -->
        <menuitem id="menu_attr_template_jabatan" name="Atribut Template Jabatan"  
            parent="menu_sub_konfigurasi_template_jabatan" sequence="90" groups="df_analisa_jabatan.group_anjab_admin" />
        
        
        <record model="ir.actions.act_window" id="action_template_tahapan_kerja">
            <field name="name">Tahapan Kerja</field>
            <field name="res_model">template.tahapan.kerja.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Data Kosong
              </p>
            </field>
        </record>
        <!-- a menu -->
        <menuitem id="manu_attr_tahapan_kerja" name="--Tahapan Kerja"  action="action_template_tahapan_kerja"
            parent="menu_attr_template_jabatan" sequence="100"  groups="df_analisa_jabatan.group_anjab_admin" />
    </data>
</openerp>



